Name:     	xsp
Version: 	2.4.3
Release:	1%{?dist}
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:		http://mono.ximian.com/monobuild/preview/sources-preview/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	mono-web-devel, mono-data, mono-devel >= 2.4.2, pkgconfig, autoconf automake mono-data-sqlite mono-nunit-devel
BuildRequires:	mono-jscript, mono-data-oracle
Requires:	mono-core >= 2.4.2
Summary:	A small web server that hosts ASP.NET
Group:		System Environment/Daemons
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 armv4l sparc sparcv9 alpha s390 s390x

%define debug_package %{nil}

%bcond_without src
%bcond_with nosrc
%if %{without src} || %{with nosrc}
NoSource: 0
%endif

%description

XSP is a standalone web server written in C# that can be used to run ASP.NET 
applications as well as a set of pages, controls and web services that you can 
use to experience ASP.NET.
	  
%package devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} pkgconfig
Summary: Development files for xsp

%description devel
Development files for xsp

%package tests
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Summary: xsp test files

%description tests
Files for testing the xsp server

%prep
%setup -q
find . -name Makefile.in -or -name Makefile.am -or -name \*.pc.in \
       -or -name \*.make -or -name \*.in \
       | while read f ;
         do

	   sed -i -e 's!@prefix@/lib!%{_libdir}!' "$f"
           sed -i -e 's!$(prefix)/lib!%{_libdir}!' "$f" 
	   sed -i -e 's!$prefix/lib!%{_libdir}!' "$f"
           sed -i -e 's!${exec_prefix}/lib!%{_libdir}!' "$f" 
	   sed -i -e 's!$libdir!%{_libdir}!' "$f" ;
         done

autoreconf

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root,-)
%doc NEWS README COPYING
%{_bindir}/asp*
%{_bindir}/dbsessmgr*
%{_bindir}/mod-mono*
%{_bindir}/xsp*
%{_bindir}/fastcgi-mono-server*
%{_libdir}/xsp
%{_libdir}/mono/gac/Mono.WebServer*/
%{_libdir}/mono/gac/fastcgi-mono-server/
%{_libdir}/mono/gac/fastcgi-mono-server2
%{_libdir}/mono/gac/mod-mono-server*/
%{_libdir}/mono/gac/xsp*/
%{_libdir}/mono/1.0/*.dll
%{_libdir}/mono/1.0/*.exe
%{_libdir}/mono/2.0/*.dll
%{_libdir}/mono/2.0/*.exe
%{_mandir}/man1/asp*
%{_mandir}/man1/dbsessmgr*
%{_mandir}/man1/mod-mono-server*
%{_mandir}/man1/xsp*
%{_mandir}/man1/fastcgi-mono-server*

%files devel
%{_libdir}/pkgconfig/xsp*

%files tests
%{_libdir}/xsp/1.0
%{_libdir}/xsp/2.0
%{_libdir}/xsp/test

%changelog
* Tue Jan 19 2010 Kirby Zhou <kirbyzhou@sohu-rd.com> - 2.4.3-1
- up to 2.4.3

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 2.4.2-3
- enable sparcv9 s390 s390x

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2-1
- Update to 2.4.2 preview
- Enable ppc64

* Mon Apr 13 2009 Jesse Keating <jkeating@redhat.com> - 2.4-8
- Re-enable ppc
- Fix release numbering

* Mon Apr 06 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-7.1
- Remove ppc build

* Thu Mar 26 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-7
- Full 2.4 release

* Wed Mar 18 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-6.RC3
- bump to RC3

* Thu Mar 12 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-5.RC2
- bump to RC2

* Fri Feb 27 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-4.RC1
- bump to RC1

* Thu Feb 05 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-3.pre2.20090502svn124651
- update from svn
- rename to pre2
- fix svn version number for package

* Fri Jan 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-1.20099124svn124360
- update from svn to use 2.4 branch
- altered BRs and Rs to use mono-2.4

* Fri Jan 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-7.RC2.20090901svn122761
- rename to RC2
- update from svn

* Wed Dec 24 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-6.RC1.20081224svn122055
- x86_64 libdir fix

* Wed Dec 24 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-5.RC1.20081224svn122055
- Added additional BRs

* Wed Dec 24 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-4.RC1.20081224svn122055
- Bump to RC1 branched svn
- Minor specfile changes

* Wed Dec 17 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-3.pre3.20081217svn121604
- bump to 2.2 preview 3
- move to svn for bug fixes

* Sat Dec 06 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-2.pre2
- bump to 2.2 preview 2
- use sed instead of patches

* Tue Nov 25 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-1.pre1
- bump to 2.2 preview 1

* Fri Oct 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-4
- bump to RC 4

* Mon Sep 29 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-3
- bump to RC 3

* Tue Sep 09 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-2
- bump to 2.0 RC 1

* Sun Aug 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-1
- bump to 2.0 preview 1
- spec file fixes

* Mon Apr 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9.1-1
- bump

* Thu Feb 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-2
- fix for problem with the test makefile

* Thu Feb 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-1
- bump

* Thu Dec 20 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-1.2
- remove arch ppc64
- add br mono-data-sqlite

* Thu Nov 22 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-1
- bump
- spec file fixes
- added new tests subpackage

* Sun Nov 11 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.5-1
- bump

* Thu Apr 22 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.4-1
- bump

* Sun Mar 25 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.3-2
- fix for un-owned directories

* Thu Feb 15 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.3-1
- bump

* Sat Nov 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.1-1
- bump

* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.18-1
- bump

* Thu Aug 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.17-1
- bump to new version
- added patches for architecture independance
- added devel package

* Tue Jul 11 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.16-1
- bump to new version

* Tue Jul 4 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.15-7
- brought into line with the new packaging regs for mono apps

* Mon Jun 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.15-6
- removed the libdir hack
- removed the overzealous AC_CANONICAL from config.in

* Sun Jun 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.15-5
- Added back the libdir hack

* Thu Jun 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.15-4
- Removed libhack
- Made noarch
- Removed debug package
- Altered configure to keep it happy

* Wed Jun 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.15-3
- Added BR pkgconfig

* Tue Jun 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.15-2
- fixes for (clean) mock builds

* Sun May 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-4
- minor alteration to the spec file

* Mon May 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-3
- Fixes to the spec file
- Added clean

* Mon Apr 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-1
- Initial import for FE
- Heavily amended spec file (based on the Novell original)

